This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 339961 - Review Request: conntrack-tools - Tools to manipulate netfilter connection tracking table
Review Request: conntrack-tools - Tools to manipulate netfilter connection tr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 12:26 EDT by Paul P Komkoff Jr
Modified: 2012-05-08 08:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 05:38:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul P Komkoff Jr 2007-10-19 12:26:23 EDT
I'm going to replace old conntrack package with this one.

Spec URL: http://palevo.sgu.ru/mockbuild/7/SPECS/conntrack-tools.spec
SRPM URL: http://palevo.sgu.ru/mockbuild/7/SRPMS/conntrack-tools-0.9.5-1.fc7.src.rpm
Description:
The conntrack-tools package contains two programs:

  - conntrack:  the command line interface to interact with the connection
                tracking system.

  - conntrackd: the connection tracking userspace daemon that can be used to
                deploy highly available GNU/Linux firewalls and collect
                statistics of the firewall use.

conntrack  is  used to search, list, inspect and maintain the netfilter
connection tracking subsystem of the Linux kernel.
Using conntrack , you can dump a list of all (or a filtered selection  of)
currently  tracked  connections, delete connections from the state table,
and even add new ones.
In  addition,  you  can  also  monitor connection tracking events, e.g.
show an event message (one line) per newly established connection.
Comment 1 Parag AN(पराग) 2007-10-20 02:11:56 EDT
rpmlint messages on RPM
conntrack-tools.i386: W: spurious-executable-perm
/usr/share/doc/conntrack-tools-0.9.5/examples/sync/nack/script_backup.sh
conntrack-tools.i386: W: spurious-executable-perm
/usr/share/doc/conntrack-tools-0.9.5/examples/sync/nack/script_master.sh
conntrack-tools.i386: W: spurious-executable-perm
/usr/share/doc/conntrack-tools-0.9.5/examples/sync/persistent/script_master.sh
conntrack-tools.i386: W: spurious-executable-perm
/usr/share/doc/conntrack-tools-0.9.5/examples/sync/persistent/script_backup.sh
==>The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

conntrack-tools.i386: W: invalid-license GPL
==> I think license for this package should be GPLv2
conntrack-tools.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 9)
==>The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

will you update package solving above messages?

Comment 2 Paul P Komkoff Jr 2007-10-20 17:45:04 EDT
conntrack-tools-0.9.5-2 at the same place
but I don't really want to "fix" the 1st set of warnings, because they are,
well, executable script examples, which I put in %doc by intention.

Of course, if you insist, I can chmod 644 them...
Comment 3 Parag AN(पराग) 2007-10-22 22:50:13 EDT
I think good to chmod 644 them. I saw some of packages installs them with mode
644 and very few installs them with 755.

also,
  you may like to use following command on final SPEC written to avoid
mixed-use-of-spaces-and-tabs message
==>"sed -i -e 's|\t|  |g' conntrack-tools.spec"
Comment 4 Paul P Komkoff Jr 2007-10-23 08:43:30 EDT
Done. conntrack-tools-...-3 at the same place.
Comment 5 Parag AN(पराग) 2007-10-23 11:03:46 EDT
I think it will be good if you provide SPEC as well as SRPM links each time you
update package. Otherwise it needs to open download place, browse website and
then search for updated SRPM and then download SRPM instead of having direct
single click download for updated SRPM.
Comment 7 Parag AN(पराग) 2007-10-23 11:29:15 EDT
Just found one missing thing that this package used obsoletes and provides but
its not according to Naming guidelines.
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-3cfc1ea19d28975faad9d56f70a6ae55661d3c3d

It should be
Provides:       conntrack = %{version}-%{release}
Obsoletes:      conntrack < 1.0-1

Comment 8 Paul P Komkoff Jr 2007-10-23 11:43:23 EDT
What the point? I'm obsoleting conntrack package (which was at
1.0-0.betasomething), but why I should provide conntrack = 0.9.5-3 (which is
smaller than version I am obsoleting)
Comment 9 Parag AN(पराग) 2007-10-26 01:32:34 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c639e17ba6cbfce52b288a5105724f2d  conntrack-tools-0.9.5.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package conntrack-tools-0.9.5-3.fc8 ->
  Provides: conntrack = 1.0-1
  Requires: /bin/sh libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libnetfilter_conntrack.so.1
libnfnetlink.so.0 libpthread.so.0 libpthread.so.0(GLIBC_2.0) rtld(GNU_HASH)

APPROVED.
Comment 10 Paul P Komkoff Jr 2007-10-27 10:32:36 EDT
New Package CVS Request
=======================
Package Name: conntrack-tools
Short Description: Tools to manipulate netfilter connection tracking table
Owners: stingray
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 11 Parag AN(पराग) 2007-11-11 02:04:11 EST
Can we CLOSE this review if package is already built and in rawhide?
Comment 12 Paul P Komkoff Jr 2009-10-13 08:25:39 EDT
Package Change Request
======================
Package Name: conntrack-tools
New Branches: EL-4 EL-5
Owners: stingray jrussek
Comment 13 Kevin Fenzi 2009-10-15 13:34:28 EDT
jrussek doesn't seem to be in the packager group. 
Can you get their sponsorship fixed up, or file a new request?
Comment 14 Paul Wouters 2012-05-07 23:05:12 EDT
Package Change Request
======================
Package Name: conntrack-tools
New Branches: EL6
Owners: stingray pwouters
InitialCC:
Comment 15 Gwyn Ciesla 2012-05-08 08:32:00 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.